import { JwtModuleOptions } from "@nestjs/jwt";
import { Config } from "cache-manager";
import { CookieOptions } from "express";
import { RedisClientOptions } from "redis";
import { IHashgraph } from "@hsuite/hashgraph-types";
import { _IConfiguration } from '../auth.configuration.namespace';
export interface _IOptions {
    redis: RedisClientOptions & Config;
    jwt: JwtModuleOptions;
    cookieOptions: CookieOptions;
    operator: IHashgraph.IOperator;
    passport: _IConfiguration.IPassportStrategy;
    appName: string;
}
//# sourceMappingURL=auth.configuration.options.interface.d.ts.map