"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Auth = void 0;
const auth_twilio_namespace_1 = require("./namespaces/twilio/auth.twilio.namespace");
const auth_two_factor_namespace_1 = require("./namespaces/two-factor/auth.two_factor.namespace");
const auth_configuration_namespace_1 = require("./namespaces/configuration/auth.configuration.namespace");
const auth_configuration_web3_namespace_1 = require("./namespaces/configuration/namespaces/web3/auth.configuration.web3.namespace");
const auth_configuration_web2_namespace_1 = require("./namespaces/configuration/namespaces/web2/auth.configuration.web2.namespace");
const auth_credentials_namespace_1 = require("./namespaces/credentials/auth.credentials.namespace");
var Auth;
(function (Auth) {
    Auth.Twilio = auth_twilio_namespace_1._Twilio;
    Auth.TwoFactor = auth_two_factor_namespace_1._TwoFactor;
    Auth.Configuration = auth_configuration_namespace_1._Configuration;
    Auth.Web3 = auth_configuration_web3_namespace_1._Web3;
    Auth.Web2 = auth_configuration_web2_namespace_1._Web2;
    Auth.Credentials = auth_credentials_namespace_1._Credentials;
})(Auth || (exports.Auth = Auth = {}));
//# sourceMappingURL=auth.namespace.js.map