import { JwtModuleOptions } from "@nestjs/jwt";
import { Config } from "cache-manager";
import { CookieOptions } from "express";
import { RedisClientOptions } from "redis";
import { IAuth } from '../../../../interfaces/auth.namespace';
import { IHashgraph } from "@hsuite/hashgraph-types";
export declare class _Options implements IAuth.IConfiguration.IOptions {
    redis: RedisClientOptions & Config;
    jwt: JwtModuleOptions;
    cookieOptions: CookieOptions;
    operator: IHashgraph.IOperator;
    passport: IAuth.IConfiguration.IPassportStrategy;
    appName: string;
    constructor(options: IAuth.IConfiguration.IOptions);
}
//# sourceMappingURL=auth.configuration.models.options.model.d.ts.map