"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Entity = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_namespace_1 = require("../../../../../../../../interfaces/auth.namespace");
const auth_configuration_web3_token_gate_models_metadata_model_1 = require("./auth.configuration.web3.token_gate.models.metadata.model");
class _Entity {
    constructor(entity) {
        if (!entity.metadata || typeof entity.metadata !== 'object') {
            throw new Error('metadata must be a non-null object');
        }
        this.metadata = entity.metadata;
        if (typeof entity.serial_number !== 'number' || isNaN(entity.serial_number)) {
            throw new Error('serial_number must be a valid number');
        }
        this.serial_number = entity.serial_number;
        if (typeof entity.token_id !== 'string' || entity.token_id.trim() === '') {
            throw new Error('token_id must be a non-empty string');
        }
        this.token_id = entity.token_id;
    }
}
exports._Entity = _Entity;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'Metadata associated with the entity',
        type: () => auth_configuration_web3_token_gate_models_metadata_model_1._Metadata,
    }),
    __metadata("design:type", Object)
], _Entity.prototype, "metadata", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The serial number of the entity',
        type: () => Number,
    }),
    __metadata("design:type", Number)
], _Entity.prototype, "serial_number", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The token ID associated with the entity',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Entity.prototype, "token_id", void 0);
//# sourceMappingURL=auth.configuration.web3.token_gate.models.entity.model.js.map