"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Metadata = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_namespace_1 = require("../../../../../../../../interfaces/auth.namespace");
const auth_configuration_web3_token_gate_models_properties_model_1 = require("./auth.configuration.web3.token_gate.models.properties.model");
class _Metadata {
    constructor(metadata) {
        if (typeof metadata.name !== 'string' || metadata.name.trim() === '') {
            throw new Error('name must be a non-empty string');
        }
        this.name = metadata.name;
        if (typeof metadata.description !== 'string' || metadata.description.trim() === '') {
            throw new Error('description must be a non-empty string');
        }
        this.description = metadata.description;
        if (typeof metadata.creator !== 'string' || metadata.creator.trim() === '') {
            throw new Error('creator must be a non-empty string');
        }
        this.creator = metadata.creator;
        if (typeof metadata.properties !== 'object' || metadata.properties === null) {
            throw new Error('properties must be a non-null object');
        }
        this.properties = metadata.properties;
        if (typeof metadata.image !== 'string' || metadata.image.trim() === '') {
            throw new Error('image must be a non-empty string');
        }
        this.image = metadata.image;
    }
}
exports._Metadata = _Metadata;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The name of the token',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Metadata.prototype, "name", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The description of the token',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Metadata.prototype, "description", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The creator of the token',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Metadata.prototype, "creator", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The properties associated with the token',
        type: () => auth_configuration_web3_token_gate_models_properties_model_1._Properties,
    }),
    __metadata("design:type", Object)
], _Metadata.prototype, "properties", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The image associated with the token',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Metadata.prototype, "image", void 0);
//# sourceMappingURL=auth.configuration.web3.token_gate.models.metadata.model.js.map