"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Login = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_namespace_1 = require("../../../../../../../../interfaces/auth.namespace");
const smart_network_types_1 = require("@hsuite/smart-network-types");
const auth_credentials_user_namespace_1 = require("../../../../user/auth.credentials.user.namespace");
class _Login {
    constructor(login) {
        this.user = new auth_credentials_user_namespace_1._User.Entity(login.user);
        this.operator = new smart_network_types_1.SmartNetwork.Operator.Entity(login.operator.accountId, login.operator.publicKey, login.operator.url, new smart_network_types_1.SmartNetwork.Operator.NFT(login.operator.nft.id, login.operator.nft.serialNumber));
        if (typeof login.accessToken !== 'string' || login.accessToken.trim() === '') {
            throw new Error('Access token must be a non-empty string');
        }
        this.accessToken = login.accessToken;
    }
}
exports._Login = _Login;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The authenticated user\'s entity information',
        type: () => auth_credentials_user_namespace_1._User.Entity
    }),
    __metadata("design:type", Object)
], _Login.prototype, "user", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The operator associated with the authenticated user',
        type: () => smart_network_types_1.SmartNetwork.Operator.Entity
    }),
    __metadata("design:type", Object)
], _Login.prototype, "operator", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The JWT token for accessing protected resources',
        type: () => String
    }),
    __metadata("design:type", String)
], _Login.prototype, "accessToken", void 0);
//# sourceMappingURL=auth.credentials.web2.response.models.login.model.js.map