"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Logout = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Logout {
    constructor(logoutData) {
        if (typeof logoutData.logout !== 'boolean') {
            throw new Error('Logout status must be a boolean');
        }
        this.logout = logoutData.logout;
        if (typeof logoutData.message !== 'string' || logoutData.message.trim() === '') {
            throw new Error('Message must be a non-empty string');
        }
        this.message = logoutData.message;
    }
}
exports._Logout = _Logout;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'Indicates whether the logout operation was successful',
        type: () => Boolean,
        required: true,
        example: true
    }),
    __metadata("design:type", Boolean)
], _Logout.prototype, "logout", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'A descriptive message about the logout operation result',
        type: () => String,
        required: true,
        example: 'User successfully logged out'
    }),
    __metadata("design:type", String)
], _Logout.prototype, "message", void 0);
//# sourceMappingURL=auth.credentials.web2.response.models.logout.model.js.map