"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Authenticate = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_namespace_1 = require("../../../../../../../../../../interfaces/auth.namespace");
const auth_credentials_web3_request_authentication_models_signed_data_model_1 = require("./auth.credentials.web3.request.authentication.models.signed-data.model");
const auth_credentials_web3_request_authentication_models_payload_model_1 = require("./auth.credentials.web3.request.authentication.models.payload.model");
class _Authenticate {
    constructor(data) {
        if (!data.signedData || typeof data.signedData !== 'object') {
            throw new Error('Invalid signedData: must be an object');
        }
        if (!data.payload || typeof data.payload !== 'object') {
            throw new Error('Invalid payload: must be an object');
        }
        this.signedData = data.signedData;
        this.payload = data.payload;
    }
}
exports._Authenticate = _Authenticate;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        type: () => auth_credentials_web3_request_authentication_models_signed_data_model_1._SignedData,
        description: 'The signed data for the authentication request.'
    }),
    __metadata("design:type", Object)
], _Authenticate.prototype, "signedData", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        type: () => auth_credentials_web3_request_authentication_models_payload_model_1._Payload,
        description: 'The payload containing authentication details.'
    }),
    __metadata("design:type", Object)
], _Authenticate.prototype, "payload", void 0);
//# sourceMappingURL=auth.credentials.web3.request.authentication.models.authenticate.model.js.map