"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Data = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Data {
    constructor(token) {
        if (!token || typeof token !== 'string') {
            throw new Error('Token must be a non-empty string');
        }
        if (!/^[A-Za-z0-9-_=]+\.[A-Za-z0-9-_=]+\.?[A-Za-z0-9-_.+/=]*$/.test(token)) {
            throw new Error('Invalid token format');
        }
        this.token = token;
    }
}
exports._Data = _Data;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'A unique token used for authentication purposes, typically a JWT or similar',
        example: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
    }),
    __metadata("design:type", String)
], _Data.prototype, "token", void 0);
//# sourceMappingURL=auth.credentials.web3.request.authentication.models.data.model.js.map