"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Login = void 0;
const smart_network_types_1 = require("@hsuite/smart-network-types");
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_namespace_1 = require("../../../../../../../../../../interfaces/auth.namespace");
const auth_credentials_web3_request_sign_in_models_signed_data_model_1 = require("./auth.credentials.web3.request.sign_in.models.signed-data.model");
class _Login {
    constructor(login) {
        if (!login.operator || typeof login.operator !== 'object') {
            throw new Error('Operator must be a valid object');
        }
        this.operator = login.operator;
        if (!login.signedData || typeof login.signedData !== 'object') {
            throw new Error('Signed data must be a valid object');
        }
        this.signedData = login.signedData;
    }
}
exports._Login = _Login;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The operator information for the login request',
        type: () => 'object'
    }),
    __metadata("design:type", Object)
], _Login.prototype, "operator", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The signed data for the login request',
        type: () => auth_credentials_web3_request_sign_in_models_signed_data_model_1._SignedData
    }),
    __metadata("design:type", Object)
], _Login.prototype, "signedData", void 0);
//# sourceMappingURL=auth.credentials.web3.request.sign_in.models.login.model.js.map