"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Login = void 0;
const smart_network_types_1 = require("@hsuite/smart-network-types");
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_credentials_web3_models_entity_model_1 = require("../../../models/auth.credentials.web3.models.entity.model");
const auth_namespace_1 = require("../../../../../../../auth.namespace");
class _Login {
    constructor(data) {
        if (!data.session || typeof data.session !== 'object') {
            throw new Error('Invalid session: must be an object');
        }
        if (!data.operator || typeof data.operator !== 'object') {
            throw new Error('Invalid operator: must be an object');
        }
        if (!data.accessToken || typeof data.accessToken !== 'string') {
            throw new Error('Invalid accessToken: must be a non-empty string');
        }
        this.session = data.session;
        this.operator = data.operator;
        this.accessToken = data.accessToken;
    }
}
exports._Login = _Login;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        type: () => auth_credentials_web3_models_entity_model_1._Entity,
        description: 'The authenticated Web3 session information.'
    }),
    __metadata("design:type", auth_namespace_1.Auth.Credentials.Web3.Entity)
], _Login.prototype, "session", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        type: () => smart_network_types_1.SmartNetwork.Operator,
        description: 'The operator information associated with the authenticated session.'
    }),
    __metadata("design:type", Object)
], _Login.prototype, "operator", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        type: () => String,
        description: 'The access token for the authenticated session.'
    }),
    __metadata("design:type", String)
], _Login.prototype, "accessToken", void 0);
//# sourceMappingURL=auth.credentials.web3.response.models.login.model.js.map