"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Secrets = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Secrets {
    constructor(accountSid, authToken, serviceSid) {
        if (typeof accountSid !== 'string' || accountSid.trim() === '') {
            throw new Error('accountSid must be a non-empty string');
        }
        if (typeof authToken !== 'string' || authToken.trim() === '') {
            throw new Error('authToken must be a non-empty string');
        }
        if (typeof serviceSid !== 'string' || serviceSid.trim() === '') {
            throw new Error('serviceSid must be a non-empty string');
        }
        this.accountSid = accountSid;
        this.authToken = authToken;
        this.serviceSid = serviceSid;
    }
}
exports._Secrets = _Secrets;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The unique identifier for your Twilio account',
        type: () => String,
        example: 'AC1234567890abcdef1234567890abcdef',
        required: true
    }),
    __metadata("design:type", String)
], _Secrets.prototype, "accountSid", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The authentication token for your Twilio account',
        type: () => String,
        example: '1234567890abcdef1234567890abcdef',
        required: true
    }),
    __metadata("design:type", String)
], _Secrets.prototype, "authToken", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The unique identifier for a specific Twilio service',
        type: () => String,
        example: 'IS1234567890abcdef1234567890abcdef',
        required: true
    }),
    __metadata("design:type", String)
], _Secrets.prototype, "serviceSid", void 0);
//# sourceMappingURL=auth.twilio.models.secrets.model.js.map