"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Options = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const auth_configuration_web3_token_gate_models_role_model_1 = require("./auth.configuration.web3.token_gate.models.role.model");
class _Options {
    constructor(options) {
        if (typeof options.enabled !== 'boolean') {
            throw new Error('enabled must be a boolean');
        }
        this.enabled = options.enabled;
        if (!Array.isArray(options.roles) || options.roles.length === 0) {
            throw new Error('roles must be a non-empty array');
        }
        this.roles = options.roles.map(role => {
            if (!(role instanceof auth_configuration_web3_token_gate_models_role_model_1._Role)) {
                throw new Error('Each role must be an instance of _IRole');
            }
            return role;
        });
    }
}
exports._Options = _Options;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'Indicates whether the token gate functionality is enabled',
        type: () => Boolean,
    }),
    __metadata("design:type", Boolean)
], _Options.prototype, "enabled", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'An array of roles associated with the token gate',
        type: () => auth_configuration_web3_token_gate_models_role_model_1._Role,
        isArray: true,
    }),
    __metadata("design:type", Array)
], _Options.prototype, "roles", void 0);
//# sourceMappingURL=auth.configuration.web3.token_gate.models.options.model.js.map