"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Properties = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
const subscriptions_types_1 = require("@hsuite/subscriptions-types");
class _Properties {
    constructor(properties) {
        if (!properties.plan || typeof properties.plan !== 'object') {
            throw new Error('plan must be a valid object');
        }
        this.plan = properties.plan;
        if (!properties.periodicity || typeof properties.periodicity !== 'object') {
            throw new Error('periodicity must be a valid object');
        }
        this.periodicity = properties.periodicity;
    }
}
exports._Properties = _Properties;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The subscription plan associated with the token',
        type: () => String,
        enum: subscriptions_types_1.ISubscription.IPlan
    }),
    __metadata("design:type", String)
], _Properties.prototype, "plan", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The periodicity of the subscription associated with the token',
        type: () => String,
        enum: subscriptions_types_1.ISubscription.IPeriodicity
    }),
    __metadata("design:type", String)
], _Properties.prototype, "periodicity", void 0);
//# sourceMappingURL=auth.configuration.web3.token_gate.models.properties.model.js.map