"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Role = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Role {
    constructor(role) {
        if (!role.tokenId || typeof role.tokenId !== 'string') {
            throw new Error('tokenId must be a non-empty string');
        }
        this.tokenId = role.tokenId;
        if (!role.role || typeof role.role !== 'string') {
            throw new Error('role must be a non-empty string');
        }
        this.role = role.role;
    }
}
exports._Role = _Role;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The unique identifier of the token associated with this role',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Role.prototype, "tokenId", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'The name or identifier of the role',
        type: () => String,
    }),
    __metadata("design:type", String)
], _Role.prototype, "role", void 0);
//# sourceMappingURL=auth.configuration.web3.token_gate.models.role.model.js.map