"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Logout = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Logout {
    constructor(logout, message) {
        if (typeof logout !== 'boolean') {
            throw new Error('Logout must be a boolean value');
        }
        this.logout = logout;
        if (typeof message !== 'string' || message.trim().length === 0) {
            throw new Error('Message must be a non-empty string');
        }
        this.message = message;
    }
}
exports._Logout = _Logout;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'Indicates whether the logout was successful',
        type: () => Boolean,
        example: true
    }),
    __metadata("design:type", Boolean)
], _Logout.prototype, "logout", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'A message describing the result of the logout attempt',
        type: () => String,
        example: "Logout successful"
    }),
    __metadata("design:type", String)
], _Logout.prototype, "message", void 0);
//# sourceMappingURL=auth.credentials.web3.response.models.logout.model.js.map