"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Verify = void 0;
const nestjs_swagger_1 = require("@hsuite/nestjs-swagger");
class _Verify {
    constructor(success, message) {
        if (typeof success !== 'boolean') {
            throw new Error('Success must be a boolean');
        }
        if (typeof message !== 'string') {
            throw new Error('Message must be a string');
        }
        this.success = success;
        this.message = message;
    }
}
exports._Verify = _Verify;
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'Indicates whether the verification was successful',
        type: () => Boolean,
        example: true
    }),
    __metadata("design:type", Boolean)
], _Verify.prototype, "success", void 0);
__decorate([
    (0, nestjs_swagger_1.ApiProperty)({
        description: 'A message providing additional information about the verification process',
        type: () => String,
        example: 'Two-factor authentication successful'
    }),
    __metadata("design:type", String)
], _Verify.prototype, "message", void 0);
//# sourceMappingURL=auth.two_factor.response.models.verify.model.js.map